%define name seahorse
%define version 0.5.0
%define release 4mdk

Name:		%{name}
Summary:	Seahorse is a GNOME frontend to GnuPG
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://seahorse.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
Requires:	gnupg
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:  gnome-libs-devel
BuildRequires:  gnupg

%description
Seahorse is a Gnome front end for the GNU Privacy Guard ecryption tool. It can 
be used for file encryption and decryption and for digitally signing files and 
for verifying those signatures. Key management options are also included. Both 
English and Japanese is support is provided.
NOTE: NO CRYPTO STUFF IN THIS PACKAGE

%prep
%setup -q

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std  gnulocaledir=$RPM_BUILD_ROOT%{_datadir}/locale

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/seahorse" \
title="Seahorse" \
longtitle="Front end for gnupg" \
needs="x11" \
icon="file_tools_section.png" \
section="Applications/File tools"
EOF

%{find_lang} %{name} --with-gnome
 
%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_mandir}/man1/seahorse.1*
%{_bindir}/*
%{_datadir}/gnome/apps/Applications/seahorse.desktop
%{_datadir}/pixmaps/seahorse
%{_menudir}/*

%changelog
* Sat Jan 26 2002 Frdric Crozat <fcrozat@mandrakesoft.com> 0.5.0-4mdk
- Clean specfile
- Add locales

* Sun Jan 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.0-3mdk
- Fix menu entry
- Add missing files

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-2mdk
- rebuild

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- updated to 0.5.0

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- updated to 0.4.9

* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-2mdk  
- macros
- bm
- menu

* Mon Apr 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- fix group
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.6
- specfile changes for spec-helper

* Fri Feb 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- bzip manpages
